<?php
define('GCMS',true);
define('ROOT','./');
require_once (ROOT.'system/power.php');
if ($aut == false) {
switch($do) {
//поиск пользователя и его эмайла
case 'load':
switch($mode) {
case 'lost':
$diz -> head('Восстановление пароля');
$diz -> title('Восстановление пароля');
$adm_m='lostpass@'.$_SERVER['SERVER_NAME'];
$user_m = $db -> query("Select * FROM `users` WHERE `id` = '".$id."' and `email`<>''");
if ($user_m -> num_rows > 0) {
$user=$user_m-> fetch_assoc();
$theme= 'Восстановление пароля'; 
$tex= $user['login'].',Здравствуйте!<br />
Вы пытались восстановить пароль на нашем сайте <b>'.$_SERVER['SERVER_NAME'].'</b><br />
Если же вы не восстанавливали пароль,<br />
то скорее всего вас пытаются взломать,<i>рекомендуем сменить пароль!</i><br />
Если вас всё же взломали,напишите администрации ресурса '.$_SERVER['SERVER_NAME'].'!<br />
Ваш ID/Ник:<br /> 
<b>'.$user['id'].'/'.$user['login'].'</b>
<br /><b>Ваш пароль</b>:
<br />'.$user['passnow'].'
<br />---------------------------------<br />
Данное сообщение создано автоматически(программно) с сайта <br />
'.$_SERVER['SERVER_NAME'].',ответа на него не требуется!'; 
$header.="From: \"".$adm_m."\" <".$adm_m.">\n"; 
$header.="Subject: ".$theme."\n"; 
$header.="Content-type: text/html; charset=\"utf-8\"\n"; 
if(mail($user['email'],$theme,$tex,$header)==true){
$msg .='<div class="fon">Пароль выслан на ваш email: '.$user['email'].'!</div>';}
else{$msg .='<div class="fon">Произошла ошибка при отправке!</div>';}
}else{
$msg .='<div class="fon">Произошла ошибка в поиске нужного пользователя!</div>';
}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="lost.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
break;
default:
if($_POST['code'] != $_SESSION['code'])
{
$diz -> head('Ошибка проверочного кода');
$diz -> title('Ошибка');
$msg.='<div class="fon">Не введен или введен не верно проверочный код!<br/>
<a href="lost.php">Назад</a></div>';
$diz -> out($msg);
} else {
$diz -> head('Восстановление пароля');
$diz -> title('Восстановление пароля');
if(preg_match("/[0-9]+/i",$_POST['login'])){$lost='id';}else{$lost='login';}
$login = shit($_POST['login']);
$count = $db -> query("Select * FROM `users` WHERE `$lost` = '".$login."' and `email` <> ''");
if ($count -> num_rows > 0) {
$count=$count-> fetch_assoc();
$msg .= '<div class="fon">Вы подтверждаете восстановление пароля и то что данный email принадлежит вам?</br>
Пароль будет выслан на email: <b>'.$count['email'].'</b></br>
<a href="./lost.php?id='.$count['id'].'&do=load&mode=lost">Подтверждаю</a> | <a href="./lost.php">Не подтверждаю</a><br/>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="lost.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="./">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
} else {
$msg .= '<div class="fon">Пользователь не найден или не был указан email!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="lost.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="./">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}
}
}
break;
///////////////////////////
//     главная
//////////////////////////
default:
$array = array('1','2','3','4','5','6','7','8','9','0','b','d','q','w','v','t','g','z','s','n');
$i = 0;
$cod = '';
while ($i < 4) {
$cod .= $array[array_rand($array)];
++$i;
}
$_SESSION['code'] = $cod;
$diz -> head('Восстановление пароля');
$diz -> title('Восстановление пароля');
$msg .= '<div class="fon">Если вы утеряли свой пароль,то вы можете восстановить его!</br>Для этого в анкете должен быть указан ваш реальный и доступный email!<hr>';
$msg .= '<form action="lost.php?do=load" method="POST"><div>';
$msg .= 'Ваш ID/Ник:<br/><input type="text" name="login" value="" maxlength="12"/></br>Введите код:'.$diz -> img('code.php').'
<br/><input type="text" name="code" value="" maxlength="4"/></br>
<input type="submit" name="submit" value="Восстановить"/>
</div></form>';

$msg .= '</div><div class="levo">'.$diz -> img('home.png').'<a href="./">На главную</a></div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
}
} else {
header('location: ./index.php');
}
?>